Bug 173092 - kernel BUG at include/linux/list.h:166!
kernel BUG at include/linux/list.h:166!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-13 19:40 EST by Derek
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek 2005-11-13 19:40:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.6) Gecko/20050223 Firefox/1.0.1

Description of problem:
Nov 13 06:43:08 proxy kernel: ------------[ cut here ]------------
Nov 13 06:43:08 proxy kernel: kernel BUG at include/linux/list.h:166!
Nov 13 06:43:08 proxy kernel: invalid operand: 0000 [#1]
Nov 13 06:43:08 proxy kernel: Modules linked in: ipt_REDIRECT iptable_nat ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables reiserfs dm_mod video button battery ac uhci_hcd shpchp i2c_viapro i2c_core snd_via82xx gameport snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy ext3 jbd
Nov 13 06:43:08 proxy kernel: CPU:    0
Nov 13 06:43:08 proxy kernel: EIP:    0060:[<c015116f>]    Not tainted VLI
Nov 13 06:43:08 proxy kernel: EFLAGS: 00010086   (2.6.13-1.1532_FC4)
Nov 13 06:43:08 proxy kernel: EIP is at remove_wait_queue+0x19c/0x276
Nov 13 06:43:08 proxy kernel: eax: eede9d30   ebx: eed69d18   ecx: cfa3a750   edx: eed69d30
Nov 13 06:43:08 proxy kernel: esi: cfa3a744   edi: 00000286   ebp: cfa3a000   esp: f6606f44
Nov 13 06:43:08 proxy kernel: ds: 007b   es: 007b   ss: 0068
Nov 13 06:43:08 proxy squid[1554]: Squid Parent: child process 1556 exited due to signal 11
Nov 13 06:43:08 proxy kernel: Process squid (pid: 1556, threadinfo=f6606000 task=f7d00550)
Nov 13 06:43:08 proxy kernel: Stack: f6680c08 00000065 f6680c00 f6606f70 f6606f6c 00000013 c01c0523 f6606f70
Nov 13 06:43:08 proxy kernel:        cfa3a758 cfa3a740 cfa3a008 c01bf8a6 00000000 00000001 00000065 bf942300
Nov 13 06:43:08 proxy kernel:        c01c066c 0000001d bf942300 00000001 f6680c00 f6680c00 c01bf8d1 cfa3a000
Nov 13 06:43:08 proxy kernel: Call Trace:
Nov 13 06:43:08 proxy kernel:  [<c01c0523>] do_poll+0x59/0xc1
Nov 13 06:43:08 proxy kernel:  [<c01bf8a6>] poll_freewait+0x21/0x4c
Nov 13 06:43:08 proxy kernel:  [<c01c066c>] sys_poll+0xe1/0x245
Nov 13 06:43:08 proxy kernel:  [<c01bf8d1>] __pollwait+0x0/0x96
Nov 13 06:43:08 proxy kernel:  [<c0104465>] syscall_call+0x7/0xb
Nov 13 06:43:09 proxy kernel: Code: 5c 24 10 8b 43 0c 89 44 24 0c c7 44 24 08 28 00 00 00 c7 44 24 04 4c 55 41 c0 c7 04 24 f0 f7 40 c0 e8 26 7d fd ff e9 c1 fe ff ff <0f> 0b a6 00 06 2c 41 c0 e9 e3 fe ff ff 0f 0b a5 00 06 2c 41 c0
Nov 13 06:43:11 proxy squid[1554]: Squid Parent: child process 2230 started
Nov 13 06:43:12 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:08 proxy kernel: kernel BUG at include/linux/list.h:166!
Nov 13 06:43:08 proxy kernel: invalid operand: 0000 [#1]
Nov 13 06:43:08 proxy kernel: Modules linked in: ipt_REDIRECT iptable_nat ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables reiserfs dm_mod video button battery ac uhci_hcd shpchp i2c_viapro i2c_core snd_via82xx gameport snd_ac97_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii floppy ext3 jbd
Nov 13 06:43:08 proxy kernel: CPU:    0
Nov 13 06:43:08 proxy kernel: EIP:    0060:[<c015116f>]    Not tainted VLI
Nov 13 06:43:08 proxy kernel: EFLAGS: 00010086   (2.6.13-1.1532_FC4)
Nov 13 06:43:08 proxy kernel: EIP is at remove_wait_queue+0x19c/0x276
Nov 13 06:43:08 proxy kernel: eax: eede9d30   ebx: eed69d18   ecx: cfa3a750   edx: eed69d30
Nov 13 06:43:08 proxy kernel: esi: cfa3a744   edi: 00000286   ebp: cfa3a000   esp: f6606f44
Nov 13 06:43:08 proxy kernel: ds: 007b   es: 007b   ss: 0068
Nov 13 06:43:08 proxy squid[1554]: Squid Parent: child process 1556 exited due to signal 11
Nov 13 06:43:08 proxy kernel: Process squid (pid: 1556, threadinfo=f6606000 task=f7d00550)
Nov 13 06:43:08 proxy kernel: Stack: f6680c08 00000065 f6680c00 f6606f70 f6606f6c 00000013 c01c0523 f6606f70
Nov 13 06:43:08 proxy kernel:        cfa3a758 cfa3a740 cfa3a008 c01bf8a6 00000000 00000001 00000065 bf942300
Nov 13 06:43:08 proxy kernel:        c01c066c 0000001d bf942300 00000001 f6680c00 f6680c00 c01bf8d1 cfa3a000
Nov 13 06:43:08 proxy kernel: Call Trace:
Nov 13 06:43:08 proxy kernel:  [<c01c0523>] do_poll+0x59/0xc1
Nov 13 06:43:08 proxy kernel:  [<c01bf8a6>] poll_freewait+0x21/0x4c
Nov 13 06:43:08 proxy kernel:  [<c01c066c>] sys_poll+0xe1/0x245
Nov 13 06:43:08 proxy kernel:  [<c01bf8d1>] __pollwait+0x0/0x96
Nov 13 06:43:08 proxy kernel:  [<c0104465>] syscall_call+0x7/0xb
Nov 13 06:43:09 proxy kernel: Code: 5c 24 10 8b 43 0c 89 44 24 0c c7 44 24 08 28 00 00 00 c7 44 24 04 4c 55 41 c0 c7 04 24 f0 f7 40 c0 e8 26 7d fd ff e9 c1 fe ff ff <0f> 0b a6 00 06 2c 41 c0 e9 e3 fe ff ff 0f 0b a5 00 06 2c 41 c0
Nov 13 06:43:11 proxy squid[1554]: Squid Parent: child process 2230 started
Nov 13 06:43:12 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:12 proxy squid[1554]: Squid Parent: child process 2230 exited due to signal 6
Nov 13 06:43:15 proxy squid[1554]: Squid Parent: child process 2233 started
Nov 13 06:43:16 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:16 proxy squid[1554]: Squid Parent: child process 2233 exited due to signal 6
Nov 13 06:43:19 proxy squid[1554]: Squid Parent: child process 2236 started
Nov 13 06:43:19 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:19 proxy squid[1554]: Squid Parent: child process 2236 exited due to signal 6
Nov 13 06:43:22 proxy squid[1554]: Squid Parent: child process 2239 started
Nov 13 06:43:22 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:22 proxy squid[1554]: Squid Parent: child process 2239 exited due to signal 6
Nov 13 06:43:25 proxy squid[1554]: Squid Parent: child process 2242 started
Nov 13 06:43:26 proxy (squid): Cannot open HTTP Port
Nov 13 06:43:26 proxy squid[1554]: Squid Parent: child process 2242 exited due to signal 6
Nov 13 06:43:26 proxy squid[1554]: Exiting due to repeated, frequent failures


Version-Release number of selected component (if applicable):
2.6.13-1.1532_FC4 

How reproducible:
Didn't try


Additional info:

i'm running squid proxy on FC4, using reiserfs on my cache directory. I get this from my /var/log/messages , when suddenly my squid service stops
Comment 1 Dave Jones 2005-11-14 14:34:54 EST
please upgrade to the latest errata kernel and try and reproduce this.

(Better yet, theres a work-in-progress errata kernel at
http://people.redhat.com/davej/kernels/Fedora/FC4/  which contain a number of
as-yet-unreleased fixes).
Comment 2 Dave Jones 2006-02-03 02:11:42 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 John Thacker 2006-05-04 21:55:22 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.